Jobs
Attach a standalone job to a character
Attaches an account-owned standalone job to an account-owned character. Repeating the same association is idempotent. A job already attached to another character is not moved.
AuthorizationBearer <token>
API key sent in the Authorization bearer header. Used by programmatic clients.
In: header
Path Parameters
id*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/jobs/string/attach" \ -H "Content-Type: application/json" \ -d '{ "character_id": "string" }'{ "id": "string", "character_id": "string", "kind": "sprite", "status": "queued", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "progress": 0, "model": "string", "cost": { "tokens": 0 }, "input": { "property1": null, "property2": null }, "files_expired": true, "output": { "files": [ { "role": "string", "url": "http://example.com", "content_type": "string" } ], "loop": { "from": 1, "to": 1 } }, "error": { "code": "invalid_request", "message": "string", "details": { "property1": null, "property2": null } }}